All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Class RemarksFilter

    com.sas.services.information.metadata.RemarksFilter

All Implemented Interfaces:
  FilterInterface, java.io.Serializable

    public class RemarksFilter

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.KeywordFilter
`_keywords`

Fields inherited from class com.sas.services.information.Filter
`_component`

Fields inherited from interface com.sas.services.information.FilterInterface
`BASE_SCOPE, FILTERCOMPONENT_UNSUPPORTED, FLAG_OVERRIDE, ONELEVEL_SCOPE, PROTOCOL_DAV, PROTOCOL_HIBERNATE, PROTOCOL_IPOD, PROTOCOL_LDAP, PROTOCOL_OMI, SUBTREE_SCOPE`

Constructor Summary
`RemarksFilter()`
`RemarksFilter(java.lang.String key, int relation, java.lang.String value)`

Method Summary
`java.lang.String` | `getDAVBasicSearchString()` Get the filter in the form of a DAV basicsearch XML request.
`java.lang.String` | `getDAVSQLString()` Get the filter in the form of a DAV SQL request.
`java.lang.String` | `getDAVType()` Get the DAV type string.
`java.lang.String` | `getName()` Get the name of the object to look for.
`java.lang.String` | `getOMRType()` Get the OMR type.
`java.lang.String` | `getThreadId()`
`java.lang.String` | `getXMLSelectString()` Get the filter in the form of an XMLSelect statement.
`void` | `setName(java.lang.String name)` Set the name of the object to search for.
`void` | `setThreadId(java.lang.String threadId)`

Methods inherited from class com.sas.services.information.metadata.KeywordFilter
`addKeyword, getKeywordSelectString, removeKeyword`

Methods inherited from class com.sas.services.information.Filter
`addProtocol, addSearchOption, component2JCRXPath, component2Select, getDAVBase, getDAVScope, getExplicitSearchString, getFilterComponent, getFilterString, getJCRType, getJCRXPathString, getOMRFlags, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getProtocols, getRdbmsTable, getSearchOptions, getType, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType, toString`

Constructor Detail

### RemarksFilter

    public RemarksFilter()

### RemarksFilter

    public RemarksFilter(java.lang.String key,
                         int relation,
                         java.lang.String value)

Method Detail

### getOMRType

    public java.lang.String getOMRType()

  Description copied from class: `Filter`
  Get the OMR type. Return the type by default. subclasses may override this to return a different string. This method is mostly for use by the OMIRepository class.

  Specified by:
    `getOMRType` in interface `FilterInterface`
  Overrides:
    `getOMRType` in class `Filter`
  Returns:
    The OMR specific type to search for.

### getDAVType

    public java.lang.String getDAVType()

  Description copied from class: `Filter`
  Get the DAV type string. Return the type by default. Subclasses may override this to return a different string. This method is for use by the DAVRepository class.

  Specified by:
    `getDAVType` in interface `FilterInterface`
  Overrides:
    `getDAVType` in class `Filter`
  Returns:
    the DAV specific type to search for.

### getName

    public java.lang.String getName()

  Description copied from class: `Filter`
  Get the name of the object to look for.

  Specified by:
    `getName` in interface `FilterInterface`
  Overrides:
    `getName` in class `Filter`
  Returns:
    The object name.

### setName

    public void setName(java.lang.String name)

  Description copied from class: `Filter`
  Set the name of the object to search for.

  Specified by:
    `setName` in interface `FilterInterface`
  Overrides:
    `setName` in class `Filter`
  Parameters:
    `name` - The object name.

### getThreadId

    public java.lang.String getThreadId()

### setThreadId

    public void setThreadId(java.lang.String threadId)

### getXMLSelectString

    public java.lang.String getXMLSelectString()

  Get the filter in the form of an XMLSelect statement.

  Specified by:
    `getXMLSelectString` in interface `FilterInterface`
  Overrides:
    `getXMLSelectString` in class `KeywordFilter`
  Returns:
    An XMLSelect string to pass to OMR.

### getDAVBasicSearchString

    public java.lang.String getDAVBasicSearchString()

  Description copied from class: `Filter`
  Get the filter in the form of a DAV basicsearch XML request. This is described in the WebDAV SEARCH proposal.

  Specified by:
    `getDAVBasicSearchString` in interface `FilterInterface`
  Overrides:
    `getDAVBasicSearchString` in class `Filter`
  Returns:
    An XML basicsearch request to pass to a DAV server.

### getDAVSQLString

    public java.lang.String getDAVSQLString()

  Description copied from class: `Filter`
  Get the filter in the form of a DAV SQL request. This is aimed at the Microsoft servers - Internet Information Server, SharePoint Portal Server and Exchange server.

  Specified by:
    `getDAVSQLString` in interface `FilterInterface`
  Overrides:
    `getDAVSQLString` in class `Filter`
  Returns:
    An XML DAV SQL request to pass to a DAV server.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.